diff --git a/lib/app/modules/warga/views/detail_pengaduan_view.dart b/lib/app/modules/warga/views/detail_pengaduan_view.dart
index c5a4a62..d95d94e 100644
--- a/lib/app/modules/warga/views/detail_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/detail_pengaduan_view.dart
@@ -933,55 +1440,88 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
         child: Stack(
           fit: StackFit.expand,
           children: [
-            InteractiveViewer(
-              panEnabled: true,
-              minScale: 0.5,
-              maxScale: 4,
-              transformationController: transformationController,
-              child: imageUrl.startsWith('http')
-                  ? Image.network(
-                      imageUrl,
-                      fit: BoxFit.contain,
-                      loadingBuilder: (context, child, loadingProgress) {
-                        if (loadingProgress == null) return child;
-                        return Center(
-                          child: CircularProgressIndicator(
-                            value: loadingProgress.expectedTotalBytes != null
-                                ? loadingProgress.cumulativeBytesLoaded /
-                                    loadingProgress.expectedTotalBytes!
-                                : null,
+            Container(
+              color: Colors.black,
+              child: InteractiveViewer(
+                panEnabled: true,
+                minScale: 0.5,
+                maxScale: 4,
+                transformationController: transformationController,
+                child: Center(
+                  child: Hero(
+                    tag: imageUrl,
+                    child: imageUrl.startsWith('http')
+                        ? Image.network(
+                            imageUrl,
+                            fit: BoxFit.contain,
+                            loadingBuilder: (context, child, loadingProgress) {
+                              if (loadingProgress == null) return child;
+                              return Center(
+                                child: CircularProgressIndicator(
+                                  valueColor: AlwaysStoppedAnimation<Color>(
+                                      Colors.white),
+                                  value: loadingProgress.expectedTotalBytes !=
+                                          null
+                                      ? loadingProgress.cumulativeBytesLoaded /
+                                          loadingProgress.expectedTotalBytes!
+                                      : null,
+                                ),
+                              );
+                            },
+                            errorBuilder: (context, error, stackTrace) {
+                              return Container(
+                                padding: const EdgeInsets.all(20),
+                                child: Column(
+                                  mainAxisSize: MainAxisSize.min,
+                                  children: [
+                                    const Icon(
+                                      Icons.broken_image,
+                                      size: 60,
+                                      color: Colors.red,
+                                    ),
+                                    const SizedBox(height: 16),
+                                    Text(
+                                      'Gagal memuat gambar',
+                                      style: TextStyle(
+                                        color: Colors.white,
+                                        fontWeight: FontWeight.bold,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                              );
+                            },
+                          )
+                        : Image.file(
+                            File(imageUrl),
+                            fit: BoxFit.contain,
+                            errorBuilder: (context, error, stackTrace) {
+                              return Container(
+                                padding: const EdgeInsets.all(20),
+                                child: Column(
+                                  mainAxisSize: MainAxisSize.min,
+                                  children: [
+                                    const Icon(
+                                      Icons.broken_image,
+                                      size: 60,
+                                      color: Colors.red,
+                                    ),
+                                    const SizedBox(height: 16),
+                                    Text(
+                                      'Gagal memuat gambar',
+                                      style: TextStyle(
+                                        color: Colors.white,
+                                        fontWeight: FontWeight.bold,
+                                      ),
+                                    ),
+                                  ],
+                                ),
+                              );
+                            },
                           ),
-                        );
-                      },
-                      errorBuilder: (context, error, stackTrace) {
-                        return Container(
-                          color: Colors.grey.shade300,
-                          child: const Center(
-                            child: Icon(
-                              Icons.error,
-                              size: 50,
-                              color: Colors.red,
-                            ),
-                          ),
-                        );
-                      },
-                    )
-                  : Image.file(
-                      File(imageUrl),
-                      fit: BoxFit.contain,
-                      errorBuilder: (context, error, stackTrace) {
-                        return Container(
-                          color: Colors.grey.shade300,
-                          child: const Center(
-                            child: Icon(
-                              Icons.error,
-                              size: 50,
-                              color: Colors.red,
-                            ),
-                          ),
-                        );
-                      },
-                    ),
+                  ),
+                ),
+              ),
             ),
             Positioned(
               top: 20,
@@ -989,45 +1529,28 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
               child: GestureDetector(
                 onTap: () => Get.back(),
                 child: Container(
-                  padding: const EdgeInsets.all(8),
+                  padding: const EdgeInsets.all(10),
                   decoration: BoxDecoration(
-                    color: Colors.black.withOpacity(0.5),
+                    color: Colors.black.withOpacity(0.6),
                     shape: BoxShape.circle,
                   ),
                   child: const Icon(
                     Icons.close,
                     color: Colors.white,
+                    size: 24,
                   ),
                 ),
               ),
             ),
             Positioned(
               bottom: 20,
-              right: 20,
+              left: 0,
+              right: 0,
               child: Row(
+                mainAxisAlignment: MainAxisAlignment.center,
                 children: [
-                  GestureDetector(
-                    onTap: () {
-                      // Zoom in
-                      final Matrix4 matrix =
-                          transformationController.value.clone();
-                      matrix.scale(1.5);
-                      transformationController.value = matrix;
-                    },
-                    child: Container(
-                      padding: const EdgeInsets.all(8),
-                      decoration: BoxDecoration(
-                        color: Colors.black.withOpacity(0.5),
-                        shape: BoxShape.circle,
-                      ),
-                      child: const Icon(
-                        Icons.zoom_in,
-                        color: Colors.white,
-                      ),
-                    ),
-                  ),
-                  const SizedBox(width: 8),
-                  GestureDetector(
+                  _buildImageControlButton(
+                    icon: Icons.zoom_out,
                     onTap: () {
                       // Zoom out
                       final Matrix4 matrix =
@@ -1035,17 +1558,25 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
                       matrix.scale(0.75);
                       transformationController.value = matrix;
                     },
-                    child: Container(
-                      padding: const EdgeInsets.all(8),
-                      decoration: BoxDecoration(
-                        color: Colors.black.withOpacity(0.5),
-                        shape: BoxShape.circle,
-                      ),
-                      child: const Icon(
-                        Icons.zoom_out,
-                        color: Colors.white,
-                      ),
-                    ),
+                  ),
+                  const SizedBox(width: 16),
+                  _buildImageControlButton(
+                    icon: Icons.refresh,
+                    onTap: () {
+                      // Reset
+                      transformationController.value = Matrix4.identity();
+                    },
+                  ),
+                  const SizedBox(width: 16),
+                  _buildImageControlButton(
+                    icon: Icons.zoom_in,
+                    onTap: () {
+                      // Zoom in
+                      final Matrix4 matrix =
+                          transformationController.value.clone();
+                      matrix.scale(1.5);
+                      transformationController.value = matrix;
+                    },
                   ),
                 ],
               ),
@@ -1055,6 +1586,27 @@ class WargaDetailPengaduanView extends GetView<WargaDashboardController> {
       ),
     );
   }
+
+  Widget _buildImageControlButton({
+    required IconData icon,
+    required Function() onTap,
+  }) {
+    return GestureDetector(
+      onTap: onTap,
+      child: Container(
+        padding: const EdgeInsets.all(12),
+        decoration: BoxDecoration(
+          color: Colors.black.withOpacity(0.6),
+          shape: BoxShape.circle,
+        ),
+        child: Icon(
+          icon,
+          color: Colors.white,
+          size: 24,
+        ),
+      ),
+    );
+  }
 }
 
 class TambahTindakanPengaduanView extends StatefulWidget {
diff --git a/lib/app/modules/warga/views/warga_dashboard_view.dart b/lib/app/modules/warga/views/warga_dashboard_view.dart
index 9489369..72b25d0 100644
--- a/lib/app/modules/warga/views/warga_dashboard_view.dart
+++ b/lib/app/modules/warga/views/warga_dashboard_view.dart
@@ -2,11 +2,7 @@ import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/modules/warga/controllers/warga_dashboard_controller.dart';
-import 'package:penyaluran_app/app/routes/app_pages.dart';
-import 'package:penyaluran_app/app/widgets/bantuan_card.dart';
 import 'package:penyaluran_app/app/widgets/section_header.dart';
-import 'package:penyaluran_app/app/data/models/penerima_penyaluran_model.dart';
-import 'package:penyaluran_app/app/modules/warga/views/form_pengaduan_view.dart';
 
 class WargaDashboardView extends GetView<WargaDashboardController> {
   const WargaDashboardView({super.key});
@@ -32,8 +28,6 @@ class WargaDashboardView extends GetView<WargaDashboardController> {
                 _buildStatisticSection(),
                 const SizedBox(height: 24),
                 _buildPenerimaanSummary(),
-                const SizedBox(height: 24),
-                _buildRecentPenerimaan(),
               ],
             ),
           ),
@@ -588,285 +582,4 @@ class WargaDashboardView extends GetView<WargaDashboardController> {
       ],
     );
   }
-
-  Widget _buildRecentPenerimaan() {
-    if (controller.penerimaPenyaluran.isEmpty) {
-      return Container(
-        padding: const EdgeInsets.all(20),
-        decoration: BoxDecoration(
-          color: Colors.grey.shade50,
-          borderRadius: BorderRadius.circular(16),
-        ),
-        child: Column(
-          children: [
-            SectionHeader(
-              title: 'Bantuan Terbaru',
-              titleStyle: TextStyle(
-                fontSize: 18,
-                fontWeight: FontWeight.bold,
-                color: Colors.blue.shade800,
-              ),
-              padding: EdgeInsets.zero,
-            ),
-            const SizedBox(height: 20),
-            Container(
-              padding: const EdgeInsets.all(20),
-              decoration: BoxDecoration(
-                color: Colors.white,
-                borderRadius: BorderRadius.circular(16),
-                border: Border.all(color: Colors.grey.shade200),
-              ),
-              child: Column(
-                children: [
-                  Icon(
-                    Icons.info_outline,
-                    size: 48,
-                    color: Colors.grey.shade400,
-                  ),
-                  const SizedBox(height: 16),
-                  Text(
-                    'Belum Ada Bantuan',
-                    style: TextStyle(
-                      fontSize: 16,
-                      fontWeight: FontWeight.bold,
-                      color: Colors.grey.shade700,
-                    ),
-                  ),
-                  const SizedBox(height: 8),
-                  Text(
-                    'Data bantuan akan muncul di sini ketika Anda menerima bantuan.',
-                    textAlign: TextAlign.center,
-                    style: TextStyle(
-                      fontSize: 14,
-                      color: Colors.grey.shade600,
-                    ),
-                  ),
-                ],
-              ),
-            ),
-          ],
-        ),
-      );
-    }
-
-    final maxItems = controller.penerimaPenyaluran.length > 2
-        ? 2
-        : controller.penerimaPenyaluran.length;
-
-    return Container(
-      padding: const EdgeInsets.all(20),
-      decoration: BoxDecoration(
-        color: Colors.grey.shade50,
-        borderRadius: BorderRadius.circular(16),
-        boxShadow: [
-          BoxShadow(
-            color: Colors.grey.withOpacity(0.05),
-            blurRadius: 10,
-            offset: const Offset(0, 5),
-          ),
-        ],
-      ),
-      child: Column(
-        crossAxisAlignment: CrossAxisAlignment.start,
-        children: [
-          SectionHeader(
-            title: 'Bantuan Terbaru',
-            viewAllText: 'Lihat Semua',
-            onViewAll: () {
-              Get.toNamed(Routes.wargaPenerimaan);
-            },
-            titleStyle: TextStyle(
-              fontSize: 18,
-              fontWeight: FontWeight.bold,
-              color: Colors.blue.shade800,
-            ),
-            padding: EdgeInsets.zero,
-          ),
-          const SizedBox(height: 16),
-          ListView.builder(
-            shrinkWrap: true,
-            physics: const NeverScrollableScrollPhysics(),
-            itemCount: maxItems,
-            itemBuilder: (context, index) {
-              final item = controller.penerimaPenyaluran[index];
-              return Padding(
-                padding: const EdgeInsets.only(bottom: 16),
-                child: BantuanCard(
-                  item: item,
-                  isCompact: true,
-                  onTap: () {
-                    Get.toNamed('/warga/detail-penerimaan',
-                        arguments: {'id': item.id});
-                  },
-                ),
-              );
-            },
-          ),
-          if (controller.penerimaPenyaluran.length > 2)
-            Center(
-              child: ElevatedButton.icon(
-                onPressed: () {
-                  Get.toNamed(Routes.wargaPenerimaan);
-                },
-                icon: const Icon(Icons.list),
-                label: const Text('Lihat Semua Bantuan'),
-                style: ElevatedButton.styleFrom(
-                  foregroundColor: Colors.white,
-                  backgroundColor: Colors.blue,
-                  shape: RoundedRectangleBorder(
-                    borderRadius: BorderRadius.circular(10),
-                  ),
-                  padding: const EdgeInsets.symmetric(
-                    horizontal: 16,
-                    vertical: 10,
-                  ),
-                ),
-              ),
-            ),
-        ],
-      ),
-    );
-  }
-
-  void _showBuatPengaduanDialog(BuildContext context) {
-    // Daftar penerimaan bantuan yang dapat diadukan (status DITERIMA)
-    final bantuanDiterima = controller.penerimaPenyaluran
-        .where((item) => item.statusPenerimaan == 'DITERIMA')
-        .toList();
-
-    // Jika tidak ada bantuan yang diterima
-    if (bantuanDiterima.isEmpty) {
-      Get.snackbar(
-        'Informasi',
-        'Tidak ada bantuan yang sudah diterima untuk dapat diajukan pengaduan',
-        snackPosition: SnackPosition.BOTTOM,
-        backgroundColor: Colors.orange,
-        colorText: Colors.white,
-      );
-      return;
-    }
-
-    // Variabel untuk menyimpan pilihan penerimaan
-    PenerimaPenyaluranModel? selectedPenerimaan = bantuanDiterima.first;
-
-    Get.dialog(
-      Dialog(
-        shape: RoundedRectangleBorder(
-          borderRadius: BorderRadius.circular(16),
-        ),
-        child: Container(
-          width: double.infinity,
-          padding: const EdgeInsets.all(20),
-          child: Column(
-            mainAxisSize: MainAxisSize.min,
-            crossAxisAlignment: CrossAxisAlignment.start,
-            children: [
-              Row(
-                mainAxisAlignment: MainAxisAlignment.spaceBetween,
-                children: [
-                  Row(
-                    children: [
-                      Icon(
-                        Icons.report_problem,
-                        color: Colors.orange.shade700,
-                      ),
-                      const SizedBox(width: 10),
-                      const Text(
-                        'Buat Pengaduan Baru',
-                        style: TextStyle(
-                          fontSize: 18,
-                          fontWeight: FontWeight.bold,
-                        ),
-                      ),
-                    ],
-                  ),
-                  IconButton(
-                    icon: const Icon(Icons.close),
-                    onPressed: () => Get.back(),
-                  ),
-                ],
-              ),
-              const SizedBox(height: 20),
-              const Text(
-                'Pilih Bantuan yang Ingin Diadukan:',
-                style: TextStyle(
-                  fontWeight: FontWeight.bold,
-                  fontSize: 16,
-                ),
-              ),
-              const SizedBox(height: 10),
-              StatefulBuilder(
-                builder: (context, setState) {
-                  return Container(
-                    padding: const EdgeInsets.symmetric(horizontal: 12),
-                    decoration: BoxDecoration(
-                      borderRadius: BorderRadius.circular(8),
-                      border: Border.all(color: Colors.grey.shade300),
-                    ),
-                    child: DropdownButtonHideUnderline(
-                      child: DropdownButton<PenerimaPenyaluranModel>(
-                        isExpanded: true,
-                        value: selectedPenerimaan,
-                        items: bantuanDiterima.map((item) {
-                          String displayText = item.namaPenyaluran ?? 'Bantuan';
-                          if (item.tanggalPenerimaan != null) {
-                            displayText +=
-                                ' (${DateFormat('dd/MM/yyyy').format(item.tanggalPenerimaan!)})';
-                          }
-
-                          return DropdownMenuItem<PenerimaPenyaluranModel>(
-                            value: item,
-                            child: Text(displayText),
-                          );
-                        }).toList(),
-                        onChanged: (value) {
-                          if (value != null) {
-                            setState(() {
-                              selectedPenerimaan = value;
-                            });
-                          }
-                        },
-                      ),
-                    ),
-                  );
-                },
-              ),
-              const SizedBox(height: 24),
-              SizedBox(
-                width: double.infinity,
-                child: ElevatedButton(
-                  onPressed: () {
-                    if (selectedPenerimaan != null) {
-                      Get.back();
-                      Get.to(
-                        () => FormPengaduanView(
-                          uidPenerimaan: selectedPenerimaan!.id.toString(),
-                        ),
-                        transition: Transition.rightToLeft,
-                        duration: const Duration(milliseconds: 300),
-                      );
-                    }
-                  },
-                  style: ElevatedButton.styleFrom(
-                    backgroundColor: Colors.orange.shade700,
-                    padding: const EdgeInsets.symmetric(vertical: 12),
-                    shape: RoundedRectangleBorder(
-                      borderRadius: BorderRadius.circular(8),
-                    ),
-                  ),
-                  child: const Text(
-                    'Lanjutkan',
-                    style: TextStyle(
-                      fontSize: 16,
-                      fontWeight: FontWeight.bold,
-                    ),
-                  ),
-                ),
-              ),
-            ],
-          ),
-        ),
-      ),
-    );
-  }
 }
diff --git a/lib/app/modules/warga/views/warga_pengaduan_view.dart b/lib/app/modules/warga/views/warga_pengaduan_view.dart
index 8038fc0..018e3a6 100644
--- a/lib/app/modules/warga/views/warga_pengaduan_view.dart
+++ b/lib/app/modules/warga/views/warga_pengaduan_view.dart
@@ -4,7 +4,7 @@ import 'package:intl/intl.dart';
 import 'package:penyaluran_app/app/data/models/penerima_penyaluran_model.dart';
 import 'package:penyaluran_app/app/modules/warga/controllers/warga_dashboard_controller.dart';
 import 'package:penyaluran_app/app/modules/warga/views/form_pengaduan_view.dart';
-import 'package:penyaluran_app/app/utils/date_time_helper.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'dart:io';
 import 'package:image_picker/image_picker.dart';
 
diff --git a/lib/app/modules/warga/views/warga_view.dart b/lib/app/modules/warga/views/warga_view.dart
index 4b1a0e6..0221b98 100644
--- a/lib/app/modules/warga/views/warga_view.dart
+++ b/lib/app/modules/warga/views/warga_view.dart
@@ -14,19 +14,6 @@ class WargaView extends GetView<WargaDashboardController> {
 
   @override
   Widget build(BuildContext context) {
-    // Tambahkan listener untuk refresh data saat fokus didapatkan kembali
-    // misalnya ketika kembali dari halaman profil
-    // WidgetsBinding.instance.addPostFrameCallback((_) {
-    //   final focusNode = FocusNode();
-    //   FocusScope.of(context).requestFocus(focusNode);
-    //   focusNode.addListener(() {
-    //     if (focusNode.hasFocus) {
-    //       print('DEBUG WARGA: Halaman mendapatkan fokus, memuat ulang data');
-    //       controller.refreshData();
-    //     }
-    //   });
-    // });
-
     return Scaffold(
       key: scaffoldKey,
       appBar: AppBar(
@@ -288,9 +275,6 @@ class WargaView extends GetView<WargaDashboardController> {
                       activeIcon: Icons.report_problem,
                       title: 'Pengaduan',
                       isSelected: controller.activeTabIndex.value == 2,
-                      badge: controller.totalPengaduanProses.value > 0
-                          ? controller.totalPengaduanProses.value.toString()
-                          : null,
                       onTap: () {
                         Navigator.pop(context);
                         controller.changeTab(2);
diff --git a/lib/app/routes/app_pages.dart b/lib/app/routes/app_pages.dart
index 2dacbac..b4f2475 100644
--- a/lib/app/routes/app_pages.dart
+++ b/lib/app/routes/app_pages.dart
@@ -39,6 +39,7 @@ import 'package:penyaluran_app/app/modules/laporan_penyaluran/views/laporan_peny
 import 'package:penyaluran_app/app/modules/laporan_penyaluran/bindings/laporan_penyaluran_binding.dart';
 import 'package:penyaluran_app/app/modules/donatur/views/donatur_view.dart';
 import 'package:penyaluran_app/app/modules/donatur/controllers/donatur_dashboard_controller.dart';
+import 'package:penyaluran_app/app/modules/donatur/views/donatur_jadwal_detail_view.dart';
 
 part 'app_routes.dart';
 
@@ -239,5 +240,10 @@ class AppPages {
       },
       binding: DonaturBinding(),
     ),
+    GetPage(
+      name: '/donatur/jadwal/:id',
+      page: () => const DonaturJadwalDetailView(),
+      binding: DonaturBinding(),
+    ),
   ];
 }
diff --git a/lib/app/utils/date_helper.dart b/lib/app/utils/date_helper.dart
new file mode 100644
index 0000000..8edb839
--- /dev/null
+++ b/lib/app/utils/date_helper.dart
@@ -0,0 +1,43 @@
+import 'package:intl/intl.dart';
+
+/// Kelas pembantu untuk manipulasi tanggal dan waktu
+class DateHelper {
+  /// Format tanggal ke format Indonesia (dd MMM yyyy)
+  static String formatDate(
+    DateTime? dateTime, {
+    String format = 'dd MMM yyyy',
+    String locale = 'id_ID',
+    String defaultValue = 'Belum ditentukan',
+  }) {
+    if (dateTime == null) return defaultValue;
+    try {
+      return DateFormat(format, locale).format(dateTime.toLocal());
+    } catch (e) {
+      return dateTime.toString().split(' ')[0];
+    }
+  }
+
+  /// Format nilai ke dalam format mata uang Rupiah
+  static String formatRupiah(
+    num? value, {
+    String symbol = 'Rp',
+    int decimalDigits = 0,
+    String defaultValue = 'Rp 0',
+  }) {
+    if (value == null) return defaultValue;
+    try {
+      final formatter = NumberFormat.currency(
+        locale: 'id_ID',
+        symbol: '$symbol ',
+        decimalDigits: decimalDigits,
+      );
+      return formatter.format(value);
+    } catch (e) {
+      // Format manual
+      return '$symbol ${value.toStringAsFixed(decimalDigits).replaceAllMapped(
+            RegExp(r'(\d{1,3})(?=(\d{3})+(?!\d))'),
+            (Match m) => '${m[1]}.',
+          )}';
+    }
+  }
+}
diff --git a/lib/app/utils/date_time_helper.dart b/lib/app/utils/format_helper.dart
similarity index 87%
rename from lib/app/utils/date_time_helper.dart
rename to lib/app/utils/format_helper.dart
index dd47fba..854bfbd 100644
--- a/lib/app/utils/date_time_helper.dart
+++ b/lib/app/utils/format_helper.dart
@@ -219,4 +219,34 @@ class DateTimeHelper {
     final localDateTime = toLocalDateTime(dateTime);
     return DateFormat('dd MMMM yyyy HH:mm', 'id_ID').format(localDateTime);
   }
+
+  /// Format nilai ke dalam format mata uang Rupiah
+  ///
+  /// [value] adalah nilai yang akan diformat
+  /// [symbol] adalah simbol mata uang (default: 'Rp')
+  /// [decimalDigits] adalah jumlah digit desimal yang ditampilkan
+  /// [defaultValue] adalah nilai default jika value null
+  static String formatRupiah(
+    num? value, {
+    String symbol = 'Rp',
+    int decimalDigits = 0,
+    String defaultValue = 'Rp 0',
+  }) {
+    if (value == null) return defaultValue;
+    try {
+      final formatter = NumberFormat.currency(
+        locale: 'id_ID',
+        symbol: '$symbol ',
+        decimalDigits: decimalDigits,
+      );
+      return formatter.format(value);
+    } catch (e) {
+      print('Error formatting currency: $e');
+      // Fallback ke format manual
+      return '$symbol ${value.toStringAsFixed(decimalDigits).replaceAllMapped(
+            RegExp(r'(\d{1,3})(?=(\d{3})+(?!\d))'),
+            (Match m) => '${m[1]}.',
+          )}';
+    }
+  }
 }
diff --git a/lib/app/widgets/dialogs/detail_penitipan_dialog.dart b/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
index 94e9db2..9b0595b 100644
--- a/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
+++ b/lib/app/widgets/dialogs/detail_penitipan_dialog.dart
@@ -1,7 +1,7 @@
 import 'package:flutter/material.dart';
 import 'package:get/get.dart';
 import 'package:penyaluran_app/app/data/models/penitipan_bantuan_model.dart';
-import 'package:penyaluran_app/app/utils/date_time_helper.dart';
+import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/theme/app_colors.dart';
 
 /// Dialog untuk menampilkan detail penitipan bantuan
